ros-jazzy-composition (0.33.5-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 06 Sep 2024 00:00:00 -0000

ros-jazzy-composition (0.33.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Jun 2024 00:00:00 -0000

ros-jazzy-composition (0.33.3-1noble) noble; urgency=high

  * [composition] add launch action console output in the verify section (#677 <https://github.com/ros2/demos/issues/677>) (#681 <https://github.com/ros2/demos/issues/681>)
    (cherry picked from commit 34d29db73e78a84a174ad8699a2d646b0eeb1cdf)
    Co-authored-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 May 2024 00:00:00 -0000

ros-jazzy-composition (0.33.2-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#665 <https://github.com/ros2/demos/issues/665>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-composition (0.33.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-composition (0.33.0-1noble) noble; urgency=high

  * Migrate std::bind calls to lambda expressions (#659 <https://github.com/ros2/demos/issues/659>)
  * Contributors: Felipe Gomes de Melo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-jazzy-composition (0.32.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-composition (0.32.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-jazzy-composition (0.31.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-jazzy-composition (0.31.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-jazzy-composition (0.30.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-jazzy-composition (0.30.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-jazzy-composition (0.29.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-jazzy-composition (0.28.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-jazzy-composition (0.28.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-jazzy-composition (0.27.0-1noble) noble; urgency=high

  * Change all ROS2 -> ROS 2. (#610 <https://github.com/ros2/demos/issues/610>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-jazzy-composition (0.26.0-1noble) noble; urgency=high

  * update launch file name format to match documentation (#588 <https://github.com/ros2/demos/issues/588>)
  * Contributors: Patrick Wspanialy

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-composition (0.25.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-jazzy-composition (0.24.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-jazzy-composition (0.24.0-1noble) noble; urgency=high

  * Added README.md for composition (#598 <https://github.com/ros2/demos/issues/598>)
  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette, Gary Bey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-composition (0.23.0-1noble) noble; urgency=high

  * fix memory leak (#585 <https://github.com/ros2/demos/issues/585>)
  * Contributors: Chen Lihui

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-jazzy-composition (0.22.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-composition (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-jazzy-composition (0.20.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-jazzy-composition (0.20.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-jazzy-composition (0.19.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-composition (0.18.0-1noble) noble; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-jazzy-composition (0.17.0-1noble) noble; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-jazzy-composition (0.16.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-jazzy-composition (0.15.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-jazzy-composition (0.14.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-jazzy-composition (0.14.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-jazzy-composition (0.14.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-jazzy-composition (0.13.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-jazzy-composition (0.12.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-composition (0.12.0-1noble) noble; urgency=high

  * Fix leak(#480 <https://github.com/ros2/demos/issues/480>) (#481 <https://github.com/ros2/demos/issues/481>)
  * Contributors: y-okumura-isp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-composition (0.11.0-1noble) noble; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-jazzy-composition (0.10.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-jazzy-composition (0.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-jazzy-composition (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-jazzy-composition (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-jazzy-composition (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-jazzy-composition (0.9.0-1noble) noble; urgency=high

  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * Update launch_ros action usage (#431 <https://github.com/ros2/demos/issues/431>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-jazzy-composition (0.8.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-jazzy-composition (0.8.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Nov 2019 00:00:00 -0000

ros-jazzy-composition (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Nov 2019 00:00:00 -0000

ros-jazzy-composition (0.8.1-1noble) noble; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-composition (0.8.0-1noble) noble; urgency=high

  * Add an demo component not inherited from rclcpp::Node (#393 <https://github.com/ros2/demos/issues/393>)
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-jazzy-composition (0.7.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-jazzy-composition (0.7.5-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-jazzy-composition (0.7.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-jazzy-composition (0.7.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 10 May 2019 00:00:00 -0000

ros-jazzy-composition (0.7.2-1noble) noble; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-jazzy-composition (0.7.1-1noble) noble; urgency=high

  * Renamed launch file, updated to avoid redundant default actions, and set output to screen. (#326 <https://github.com/ros2/demos/issues/326>)
  * Updated constructor to const ref to NodeOptions. (#323 <https://github.com/ros2/demos/issues/323>)
  * Added basic composition launch demo. (#324 <https://github.com/ros2/demos/issues/324>)
  * Contributors: Michael Carroll, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2019 00:00:00 -0000

ros-jazzy-composition (0.7.0-1noble) noble; urgency=high

  * Updated for new rclcpp_components package. (#319 <https://github.com/ros2/demos/issues/319>)
  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Dropped legacy launch API usage. (#311 <https://github.com/ros2/demos/issues/311>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-jazzy-composition (0.6.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 15 Jan 2019 00:00:00 -0000

ros-jazzy-composition (0.6.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-jazzy-composition (0.6.0-1noble) noble; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 07 Dec 2018 00:00:00 -0000

ros-jazzy-composition (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-jazzy-composition (0.5.0-1noble) noble; urgency=high

  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Updated to avoid newly deprecated class loader headers. (#229 <https://github.com/ros2/demos/issues/229>)
  * Added a periodic log message while waiting for a service response.
  * Contributors: Dirk Thomas, Michael Carroll, Mikael Arguedas, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000


